DATABASE-MANAGEMENT_MANAGED-DATABASE_CHANGE-PLAN-RETENTION-WITH-PASSWORD(1)

NAME
database-management_managed-database_change-plan-retention-with-password -

•   Description

•   Usage

•   Required Parameters

•   Optional Parameters

•   Global Parameters

•   Example using required parameter

DESCRIPTION

Changes the retention period of unused plans. The period can range between 5 and 523 weeks.

The database purges plans that have not been used for longer than the plan retention period.

USAGE

oci database-management managed-database change-plan-retention-with-password [OPTIONS]

REQUIRED PARAMETERS

--managed-database-id [text]

    The OCID <https://docs.cloud.oracle.com/Content/General/Concepts/identifiers.htm> of the Managed Database.

--password [text]

    The database user’s password encoded using BASE64 scheme.

--retention-weeks [integer]

    The retention period in weeks. It can range between 5 and 523 weeks.

--role [text]

    The role of the database user.

    Accepted values are:

    NORMAL, SYSDBA

--username [text]

    The user name used to connect to the database.

OPTIONAL PARAMETERS

--database-credential [complex type]

    This is a complex type whose value must be valid JSON. The value can be provided as a string on the command line or passed in as a file using the file://path/to/file syntax.

    The --generate-param-json-input option can be used to generate an example of the JSON which must be provided. We recommend storing this example in a file, modifying it as needed and then passing it back in via the file:// syntax.

--from-json [text]

    Provide input to this command as a JSON document from a file using the file://path-to/file syntax.

    The --generate-full-command-json-input option can be used to generate a sample json file to be used with this command option. The key names are pre-populated and match the command option names (converted to camelCase format, e.g. compartment-id –> compartmentId), while the values of the keys need to be populated by the user before using the sample file as an input to this command. For any command option that accepts multiple values, the value of the key can be a JSON array.

    Options can still be provided on the command line. If an option exists in both the JSON document and the command line then the command line specified value will be used.

    For examples on usage of this option, please see our “using CLI with advanced JSON options” link: https://docs.cloud.oracle.com/iaas/Content/API/SDKDocs/cliusing.htm#AdvancedJSONOptions

GLOBAL PARAMETERS

Use oci --help for help on global parameters.

--auth-purpose, --auth, --cert-bundle, --cli-auto-prompt, --cli-rc-file, --config-file, --connection-timeout, --debug, --defaults-file, --endpoint, --generate-full-command-json-input, --generate-param-json-input, --help, --latest-version, --max-retries, --no-retry, --opc-client-request-id, --opc-request-id, --output, --profile, --proxy, --query, --raw-output, --read-timeout, --realm-specific-endpoint, --region, --release-info, --request-id, --version, -?, -d, -h, -i, -v

EXAMPLE USING REQUIRED PARAMETER

Copy the following CLI commands into a file named example.sh. Run the command by typing “bash example.sh” and replacing the example parameters with your own.

Please note this sample will only work in the POSIX-compliant bash-like shell. You need to set up the OCI configuration <https://docs.oracle.com/en-us/iaas/Content/API/SDKDocs/cliinstall.htm#configfile> and appropriate security policies <https://docs.oracle.com/en-us/iaas/Content/Identity/Concepts/policygetstarted.htm> before trying the examples.

    export managed_database_id=<substitute-value-of-managed_database_id> # https://docs.cloud.oracle.com/en-us/iaas/tools/oci-cli/latest/oci_cli_docs/cmdref/database-management/managed-database/change-plan-retention-with-password.html#cmdoption-managed-database-id
    export password=<substitute-value-of-password> # https://docs.cloud.oracle.com/en-us/iaas/tools/oci-cli/latest/oci_cli_docs/cmdref/database-management/managed-database/change-plan-retention-with-password.html#cmdoption-password
    export retention_weeks=<substitute-value-of-retention_weeks> # https://docs.cloud.oracle.com/en-us/iaas/tools/oci-cli/latest/oci_cli_docs/cmdref/database-management/managed-database/change-plan-retention-with-password.html#cmdoption-retention-weeks
    export role=<substitute-value-of-role> # https://docs.cloud.oracle.com/en-us/iaas/tools/oci-cli/latest/oci_cli_docs/cmdref/database-management/managed-database/change-plan-retention-with-password.html#cmdoption-role
    export username=<substitute-value-of-username> # https://docs.cloud.oracle.com/en-us/iaas/tools/oci-cli/latest/oci_cli_docs/cmdref/database-management/managed-database/change-plan-retention-with-password.html#cmdoption-username
    oci database-management managed-database change-plan-retention-with-password --managed-database-id $managed_database_id --password $password --retention-weeks $retention_weeks --role $role --username $username

AUTHOR
Oracle

COPYRIGHT
2016, 2024, Oracle